package pjv3;


public class Prvocisla {

    public static boolean isPrvocislo1(long n) {
        if (n < 2) {
            return false;
        }
        int pocetDelitelu = 0;

        for (long i = 1; i <= n; i++) {
            if (n % i == 0) {
                pocetDelitelu++;
            }
        }
        if (pocetDelitelu == 2) {
            return true;
        } else {
            return false;
        }
    }

    public static boolean isPrvocislo2(long n) {
        if (n < 2) {
            return false;
        }
        for (long i = 2; i < n; i++) {
            if (n % i == 0) {
                return false;
            }
        }
        return true;
    }

    public static boolean isPrvocislo3(long n) {
        if (n < 2) {
            return false;
        }
        for (long i = 2; i <= n / 2; i++) {
            if (n % i == 0) {
                return false;
            }
        }
        return true;
    }

    public static boolean isPrvocislo4(long n) {
        if (n < 2) {
            return false;
        }
        for (long i = 2; i <= Math.sqrt(n); i++) {
            if (n % i == 0) {
                return false;
            }
        }
        return true;
    }

    public static boolean isPrvocislo5(long n) {
        if (n < 2) {
            return false;
        }
        long nn = (long) Math.sqrt(n);
        for (long i = 2; i <= nn; i++) {
            if (n % i == 0) {
                return false;
            }
        }
        return true;
    }

    public static void main(String[] args) {
        int zacatekProgramu = MereniCasu.vterinOd2400();
        int pocetPrvocisel = 0;
        int vypis = 100;
        int sekund = 0;
        long i = 1;
        for (i = 1; i <= 100003; i++) {
            if (isPrvocislo1(i)) {
                pocetPrvocisel++;
            }
            if (i == vypis) {
                sekund = MereniCasu.vterinOd2400() - zacatekProgramu;
                System.out.print("Pocet prvocisel mensich nez " + i + " je " + pocetPrvocisel);
                System.out.println(" pocet sekund " + sekund);
                vypis *= 2;
            }

        }
        sekund = MereniCasu.vterinOd2400() - zacatekProgramu;
        System.out.println(" Celkovy pocet sekund " + sekund + " pocet prvočísel je " + pocetPrvocisel);
    }
}
